# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2010
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr
###########################################################################
"""
Gestion des mots de passe des utilisateurs
"""
from pyeole.process import system_out

def mod_password(login, user_passwd):
    """
    changement d'un mot de passe
     """
    user_passwd = user_passwd.replace('"', '\\"')
    cmd = ['/usr/sbin/smbldap-passwd', login]
    stdin = """%s\n%s""" % (user_passwd, user_passwd)
    ret = system_out(cmd, stdin=stdin, container='fichier')
    if ret[0] != 0:
        raise Exception(' '.join(ret[1:]))
    return True

def password_must_change(login):
    """
    demande de changement de mot de passe forcée
    """
    cmd = ['/usr/bin/net', 'sam', 'set', 'pwdmustchangenow', login, 'yes']
    ret = system_out(cmd, container='fichier')
    if ret[0] != 0:
        raise Exception(' '.join(ret[1:]))
    return True

